<?
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/>
<body>
<div class="head">'.$date.'-['.$user['country'].'] </div><div class="money">';

echo $style;
echo '['.$user[login].']</div><div class="money">';

$cita_isset=mysql_query("SELECT * FROM ubuildings WHERE sname='Guildhall' AND owner_id='$id'");
if(mysql_num_rows($cita_isset) != 1) header("Location: index.php");
if (isset($_GET[uid]))
	{
	$id_s=abs(intval($_GET[uid]));
	$test_neib=0;
	$east=mysql_query("SELECT * FROM users WHERE defeat = '0' AND `time_reg`<'$user[time_reg]' AND bun_end<'$time' AND `id`!='$id' ORDER BY time_reg DESC LIMIT 5");
				$west=mysql_query("SELECT * FROM users WHERE defeat='0' AND time_reg>='$user[time_reg]' AND bun_end<'$time' AND `id`!='$id' ORDER BY time_reg ASC LIMIT 5");
	while($e=mysql_fetch_array($east))
	{
		if($e['id'] == $id_s)
		{
			$test_neib=1;
		}
	}
	while($w=mysql_fetch_array($west))
	{
		if($w['id'] == $id_s)
		{
			$test_neib=1;
		}
	}

	if($test_neib == '0')
	{
		echo '<br />Cтрана не является вашим соседом!<br />
		<a class="razd" href="game.php">'.$iback.'В игру</a><br />
		<a class="razd" href="exit.php">'.$iexit.' Выход</a><br />
		';
		exit();

	}
		$sosed = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='".$_GET[uid]."'"));
		switch($_GET['a'])
			{
			default:
			$id_cita = mysql_fetch_array(mysql_query("SELECT * FROM `ubuildings` WHERE `owner_id`='$id' AND `sname`='Guildhall'"));
			echo '
			Сосед: ['.htmlspecialchars($sosed[country]).']</div>
			<a class="razd" href="?uid='.$id_s.'&amp;a=res"> Ресурсы </a>
			<a class="razd" href="?uid='.$id_s.'&amp;a=sci"> Наука </a>
			<a class="razd" href="?uid='.$id_s.'&amp;a=army"> Войско </a>
			<a class="razd" href="?uid='.$id_s.'&amp;a=def"> Оборона </a>
			<a class="razd" href="?a=alli&amp;uid='.$id_s.'"> Предложить союз</a>
			<a class="razd" href="war.php?id='.$id_s.'&amp;a=begin_war"> Война!</a>
			<a class="razd" href="./func.php?answ_msg,'.$id_s.'"> Сообщение </a>
			<a class="razd" href="./building.php?b='.intval($id_cita[id]).'"> Ок</a>
			';
			break;



        	case 'alli':
        	echo 'Сосед: ['.htmlspecialchars($sosed[country]).']';
        	if (intval($_GET['accept'])=='1')
        		{
        		$error = '';
        		$all_ally = mysql_result(mysql_query("SELECT count(*) FROM `ally` WHERE (`id_user`='$id' OR `id_ally`='$id') AND `accept`='1'"),0);
				$is_ally = mysql_result(mysql_query("SELECT count(*) FROM `ally` WHERE (`id_user`='$id' AND `id_ally`='$sosed[id]') OR (`id_user`='$sosed[id]' AND `id_ally`='$id') AND `accept`='1'"),0);
				if ($is_ally >= '1') $error .= 'Нельзя повторно предлагать союз<br />';
        		if ($all_ally >= '3') $error .= 'Вы не можете иметь более 3 союзов<br />';
        		$is_this_ally_not_accept = mysql_result(mysql_query("SELECT count(*) FROM `ally` WHERE `id_user`='$id' AND `id_ally`='".$_GET[uid]."' AND `accept`='0'"),0);
        		if ($is_this_ally_not_accept >= '1') $error .= '</div><div class="money">У вас уже есть не подтвержденная заявка с этим игроком</div>';
        		if (empty($error))
        			{
        			 echo '</div><div class="money">Запрос успешно отправлен<br /></div>';
        			 mysql_query("INSERT INTO `ally` SET `id_user`='$id', `id_ally`='$_GET[uid]', `accept`='0'");
        				} else echo '<br />'.$error;




        			}
        			else {
        	echo '</div><div class="money">Вы уверены, что хотите предложить союз этому игроку?</div>
        	<a class="razd" href="?a=alli&amp;uid='.$id_s.'&amp;accept=1">Предложить союз</a> ';
        				 }
        	echo '<a class="razd" href="./about.php?uid='.$id_s.'">Вернуться</a>';
        	break;


			case 'res';
			echo 'Сосед: ['.htmlspecialchars($sosed[country]).']';
			if (isset($_GET['vor']) AND intval($_GET[vor])=='1')
				{

				$error = '';
				if ($sosed[marat_end] > time()) $error .= 'На страну '.$sosed['country'].' действует мараторий неприкосновенности. Подождите '.date("g часов, i минут s секунд",intval($user[marat_end]-time()-10800)).'</div><div class="money">';
				if ($user[marat_end] > time()) $error .= 'У вас действует мараторий неприкосновенности. Подождите '.date("g часов, i минут s секунд",intval($user[marat_end]-time()-10800)).'<br/>';
				if (empty($error))
					{

				$time_last = intval(time()-$user[grab]);
				if ($time_last > '3600')
							{
				if ($user[vor] > $sosed[spy])
					{
					$proc = abs(($sosed[spy]-$user[vor]+1)/100);
					if ($proc > '0.15') $proc = 0.15;
					$lumber = abs(ceil($sosed[lumber]*$proc));
					$money = abs(ceil($sosed[money]*$proc));
					$stone = abs(ceil($sosed[stone]*$proc));
					$grain = abs(ceil($sosed[grain]*$proc));
					$iron = abs(ceil($sosed[iron]*$proc));
					mysql_query("UPDATE `users` SET `grab`='".time()."' WHERE `id`='".$user[id]."'");
					if ($user[vor] < '50') {mysql_query("UPDATE `users` SET `vor`='".intval($user[vor]+1)."' WHERE `id`='$id'"); echo '<br />Воровство +1<br />';}
					$text='Вашим грабителям удалось проникнуть на склад! Похищено: деньги (<b>'.$money.'</b>), дерево (<b>'.$lumber.'</b>), камень (<b>'.$stone.'</b>),
					зерно (<b>'.$grain.'</b>), железо (<b>'.$iron.'</b>) <b>Воровство +1</b>';
					send_mess($user['login'],$text,"Система",'');


					$text='Воры гос-ва '.$user[country].' проникли на ваш склад! Похищено: деньги (<b>'.$money.'</b>), дерево (<b>'.$lumber.'</b>), камень (<b>'.$stone.'</b>),
					зерно (<b>'.$grain.'</b>), железо (<b>'.$iron.'</b>)<b>Шпионаж -1</b>';
					send_mess($sosed['login'],$text,"Система",'');
                    if ($sosed[spy]>'0') mysql_query("UPDATE `users` SET spy=spy-'1' WHERE `id`='".$sosed[id]."'");



					echo '<br />Вашим грабителям удалось проникнуть на склад! Похищено: деньги (<b>'.$money.'</b>), дерево (<b>'.$lumber.'</b>), камень (<b>'.$stone.'</b>),
					зерно (<b>'.$grain.'</b>), железо (<b>'.$iron.'</b>)';
                   	$total_get_res=$iron+$grain+$stone+$lumber;



					if ($freeplace < $total_get_res)
					{

						$lumber_r = 0;
						$stone_r = 0;
						$grain_r = 0;
						$iron_r = 0;
						$new_freeplace=$freeplace;


							for($a=1;$a<=$lumber;$a++)
							{
                                if($new_freeplace > 0)
                                {
								$lumber_r++;
								$new_freeplace--;
								}

							}
							for($a=1;$a<=$stone;$a++)
							{

								if($new_freeplace > 0)
                                {
								$stone_r++;
								$new_freeplace--;
								}

							}
							for($a=1;$a<=$iron;$a++)
							{

								if($new_freeplace > 0)
                                {
								$iron_r++;
								$new_freeplace--;
								}

							}

							for($a=1;$a<$grain;$a++)
							{

								if($new_freeplace > 0)
                                {
								$grain_r++;
								$new_freeplace--;
								}

							}




							$all = intval($lumber_r+$stone_r+$grain_r+$iron_r);
					$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='12' AND `user`='$id'"),0);
				if ($isset_ach == '0')
					{
					mysql_query("INSERT INTO `achieve` SET `num`='12',`count`='$all',`user`='$id';");
					} else
						  {
						  mysql_query("UPDATE `achieve` SET `count`=count+'$all' WHERE `num`='12' AND `user`='$id'");
						  }



						echo '<br />На склад помещено: '.$lumber_r.' дерева, '.$stone_r.' камня '.$iron_r.' зерна, '.$grain_r.' железа';
                        mysql_query("UPDATE `users` SET `money`='".intval($user[money]+abs($money))."',
													`lumber`='".intval($user[lumber]+$lumber_r)."',
													`stone`='".intval($user[stone]+$stone_r)."',
													`grain`='".intval($user[grain]+$grain_r)."',
													`iron`='".intval($user[iron]+$iron_r)."' WHERE `id`='".$user[id]."'");
						mysql_query("UPDATE `users` SET `money`='".intval($sosed[money]-abs($money))."',
													`lumber`='".intval($sosed[lumber]-$lumber)."',
													`stone`='".intval($sosed[stone]-$stone)."',
													`grain`='".intval($sosed[grain]-$grain)."',
													`iron`='".intval($sosed[iron]-$iron)."' WHERE `id`='".$sosed[id]."'");
						if ($sosed[spy] > '0') mysql_query("UPDATE `users` SET `spy`='".intval($sosed[spy]-1)."' WHERE `id`='".$sosed[id]."'");





						} else {

						$all = intval($lumber+$stone+$grain+$iron);
					$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='12' AND `user`='$id'"),0);
				if ($isset_ach == '0')
					{
					mysql_query("INSERT INTO `achieve` SET `num`='12',`count`='$all',`user`='$id';");
					} else
						  {
						  mysql_query("UPDATE `achieve` SET `count`=count+'$all' WHERE `num`='12' AND `user`='$id'");
						  }







					mysql_query("UPDATE `users` SET `money`='".intval($user[money]+abs($money))."',
													`lumber`='".intval($user[lumber]+$lumber)."',
													`stone`='".intval($user[stone]+$stone)."',
													`grain`='".intval($user[grain]+$grain)."',
													`iron`='".intval($user[iron]+$iron)."' WHERE `id`='".$user[id]."'");
					mysql_query("UPDATE `users` SET `money`='".intval($sosed[money]-abs($money))."',
													`lumber`='".intval($sosed[lumber]-$lumber)."',
													`stone`='".intval($sosed[stone]-$stone)."',
													`grain`='".intval($sosed[grain]-$grain)."',
													`iron`='".intval($sosed[iron]-$iron)."' WHERE `id`='".$sosed[id]."'");
					if ($sosed[spy] > '0') mysql_query("UPDATE `users` SET `spy`='".intval($sosed[spy]-1)."' WHERE `id`='".$sosed[id]."'");

								}
					} else {
							$text='Грабители государства '.$user[country].' не смогли проникнуть на ваш склад.<br /> <b>Шпионаж +1</b>';
							send_mess($sosed['login'],$text,"Система",'');
							$text='Ваши воры не смогли проникнуть на склад государства '.$user[country].'<br /> <b>Воровство -1</b>';
							send_mess($user['login'],$text,"Система",'');
							if ($sosed[spy]<'50') mysql_query("UPDATE `users` SET spy=spy+'1' WHERE `id`='".$sosed[id]."'");
							echo 'Вам не удалось проникнуть на склад противника. <br />Воровство <b>-1%</b></div>';
							if ($user[vor] > '10') mysql_query("UPDATE `users` SET `vor`='".intval($user[vor]-1)."' WHERE `id`='".$user[id]."'");
							};

							} else echo '<br />Ваши воры еще не готовы. Подождите '.date("i минут s секунд",intval(3600-$time_last-10800)).'';
				} else echo $error;
				} else {
			echo '</br>Ресурсы:<br />';
			echo '<b>Точность шпионажа '.$user[spy].'%</b></div><div class="money">';
			$money_min = $sosed[money]*$user[spy]/100;
			$money = rand($money_min,$sosed[money]);
			echo 'Деньги: '.$money.'<br />';

			$derevo_min = $sosed[lumber]*$user[spy]/100;
			$derevo = rand($derevo_min,$sosed[lumber]);
			echo 'Древесина: '.$derevo.'<br />';

			$stone_min = $sosed[stone]*$user[spy]/100;
			$stone = rand($stone_min,$sosed[stone]);
			echo 'Камень: '.$stone.'<br />';

			$grain_min = $sosed[grain]*$user[spy]/100;
			$grain = rand($grain_min,$sosed[grain]);
			echo 'Зерно: '.$grain.'<br />';

			$iron_min = $sosed[iron]*$user[spy]/100;
			$iron = rand($iron_min,$sosed[iron]);
			echo 'Железо: '.$iron.'<br />';
			echo '</div><a class="razd" href="'.$self.'&vor=1">Украсть</a>';
							}


			echo '</div><a class="razd" href="about.php?uid='.$id_s.'">Вернуться</a>';
			break;


			case 'def':
			echo 'Сосед: ['.htmlspecialchars($sosed[country]).']</br>Оборона:</div><div class="money">';
			$stena = mysql_fetch_array(mysql_query("SELECT * FROM `ubuildings` WHERE `owner_id`='$id_s' AND `sname`='Wall'"));
			if (isset($stena[sname]))
				{
				if (intval($_GET[sab]) == '1')
					{
						$error = '';
				if ($sosed[marat_end] > time()) $error .= 'На страну '.$sosed['country'].' действует мараторий неприкосновенности. Подождите '.date("g часов, i минут s секунд",intval($user[marat_end]-time()-10800)).'</div><div class="money">';
				if ($user[marat_end] > time()) $error .= 'У вас действует мараторий неприкосновенности. Подождите '.date("g часов, i минут s секунд",intval($user[marat_end]-time()-10800)).'<br/>';
				if (empty($error))
					{
					$time_last = intval(time()-$user[last_sab]);
					if ($time_last > '3600')
							{
							if ($user[sab] > $sosed[spy])
								{
								$proc = abs(($sosed[spy]-$user[sab]+1)/100);
								if ($proc > '0.15') $proc = 0.15;
								$stena_hp = $proc*$stena[hp];

								$text='Вашим людям удалось совершить деверсию над государством '.$sosed[country].'<br /> <b>Саботаж +1</b></div>';
								send_mess($user['login'],$text,"Система",'');
								$text='Людям государства '.$user[country].' удалось совершить деверсию<br /> <b>Шпионаж -1</b></div>';
									send_mess($sosed['login'],$text,"Система",'');


								echo 'Стена разрушено до '.intval($stena[hp]-$stena_hp).'%';
								if ($user[sab] < '50') {mysql_query("UPDATE `users` SET `sab`='".intval($user[sab]+1)."' WHERE `id`='$id'"); echo '<br />Саботаж +1<br />';}
								mysql_query("UPDATE `ubuildings` SET `hp`='".intval($stena[hp]-$stena_hp)."' WHERE `owner_id`='".$sosed[id]."' AND `sname`='Wall'");
								if ($sosed[spy] > '0') mysql_query("UPDATE `users` SET `spy`='".intval($sosed[spy]-1)."' WHERE `id`='".$sosed[id]."'");
								mysql_query("UPDATE `users` SET `last_sab`='".time()."' WHERE `id`='$id'");
								} else
									{
									mysql_query("UPDATE `users` SET `last_sab`='".time()."' WHERE `id`='$id'");
									$text='Вашим людям не удалось совершить деверсию над государством '.$sosed[country].'<br /> <b>Саботаж -1</b>';
									send_mess($user['login'],$text,"Система",'');
									$text='Людям государства '.$user[country].' не удалось совершить деверсию<br /> <b>Шпионаж +1</b>';
									send_mess($sosed['login'],$text,"Система",'');
									echo 'Вам не удалось совершить деверсию. <br />Саботаж <b>-1%</b></div>';
									if ($user[sab] > '10') mysql_query("UPDATE `users` SET `sab`='".intval($user[sab]-1)."' WHERE `id`='".$user[id]."'");
									if ($sosed[spy] < '50') mysql_query("UPDATE `users` SET `spy`='".intval($sosed[spy]+1)."' WHERE `id`='".$sosed[id]."'");
									}


							} else echo '<br />Ваши люди еще не готовы. Подождите '.date("i минут s секунд",intval(3600-$time_last-10800)).'</div>';

					} else echo $error;
					} else echo 'Возведена стена</div><a class="razd" href="'.$self.'&amp;sab=1">Саботаж</a>';
				} else echo 'Стена отсутствует</div>';
				echo '<a class="razd" href="about.php?uid='.$id_s.'">Вернуться</a>';
			break;

			//наука
			case 'sci';
			echo 'Сосед: ['.htmlspecialchars($sosed[country]).']</br>Наука:<br />';
			if ($sosed[sc_lumber] > '10' OR $sosed[sc_stone] > '10' OR $sosed[sc_grain] > '10' OR $sosed[sc_iron] > '10')
				{
			echo '</div><div class="money"><b>Точность шпионажа '.$user[spy].'%</b><br />';
			$sc_lumber_min = $sosed[sc_lumber]*$user[spy]/100;
			$sc_lumber = rand($sc_lumber_min,$sosed[sc_lumber]);
			echo 'Производство древесины: '.$sc_lumber.'%<br />';
			if ($sc_lumber_min < '10') $sc_lumber_min = 10;

			$sc_stone_min = $sosed[sc_stone]*$user[spy]/100;
			$sc_stone = rand($sc_stone_min,$sosed[sc_stone]);
			echo 'Производство каменя: '.$sc_stone.'%<br />';
			if ($sc_stone_min < '10') $sc_lumber_min = 10;

			$sc_grain_min = $sosed[sc_grain]*$user[spy]/100;
			$sc_grain = rand($sc_grain_min,$sosed[sc_grain]);
			echo 'Производство зерна: '.$sc_grain.'%<br />';
			if ($sc_grain_min < '10') $sc_lumber_min = 10;

			$sc_iron_min = $sosed[sc_iron]*$user[spy]/100;
			$sc_iron = rand($sc_iron_min,$sosed[sc_iron]);
			if ($sc_iron_min < '10') $sc_lumber_min = 10;
			echo 'Производство железа: '.$sc_iron.'%<br />';
				} else echo 'Наука у этого гос-ва не развита.<br />';
			echo '</div><a class="razd" href="about.php?uid='.$id_s.'">Вернуться</a>';
			break;


			//армия
			case 'army';
			echo 'Сосед: ['.htmlspecialchars($sosed[country]).']';

			if ($_GET[verb] == '1')
				{
				$error = '';
				if ($sosed[marat_end] > time()) $error .= 'На страну '.$sosed['country'].' действует мараторий неприкосновенности. Подождите '.date("g часов, i минут s секунд",intval($user[marat_end]-time()-10800)).'</div><div class="money">';
				if ($user[marat_end] > time()) $error .= 'У вас действует мараторий неприкосновенности. Подождите '.date("g часов, i минут s секунд",intval($user[marat_end]-time()-10800)).'<br/>';
				if (empty($error))
					{
				$time_last = time()-$user[last_verb];
				if ($time_last > '3600')
					{
					if ($user[verb] > $sosed[spy])
					{
					$proc = abs(($sosed[spy]-$user[verb]+1)/100);
					if ($proc > '0.15') $proc = 0.15;
					$solders = ceil($sosed[solders]*$proc);
					$horses = ceil($sosed[horses]*$proc);
					$archers = ceil($sosed[archers]*$proc);
					$text='Вашим людям удалось совершить вербовку над государством '.$sosed[country].'<br /> <b>Вербовка +1</b>';
									send_mess($user['login'],$text,"Система",'');
					$text='Людям государства '.$user[country].' удалось совершить вербовку<br />Завербовано: '.$img_s.' пехоты ('.$solders.'), '.$img_h.' кавалерии ('.$horses.'), '.$img_a.' стрелков ('.$archers.')<br /> <b>Шпионаж -1</b>';
									send_mess($sosed['login'],$text,"Система",'');

					echo '<br />Вашим людям удалось завербовать противника. Завербовано: '.$img_s.' пехоты ('.$solders.'), '.$img_h.' кавалерии ('.$horses.'), '.$img_a.' стрелков ('.$archers.')</div>';
					mysql_query("UPDATE `users` SET `last_verb`='".time()."' WHERE `id`='".$user[id]."'");
					if ($user[verb] < '50') mysql_query("UPDATE `users` SET `verb`='".intval($user[verb]+1)."' WHERE `id`='$id'");
					mysql_query("UPDATE `users` SET `solders`='".intval($user[solders]+$solders)."',
													`horses`='".intval($user[horses]+$horses)."',
													`archers`='".intval($user[archers]+$archers)."' WHERE `id`='".$user[id]."'");
					mysql_query("UPDATE `users` SET `solders`='".intval($sosed[solders]-$solders)."',
													`horses`='".intval($sosed[horses]-$horses)."',
													`archers`='".intval($sosed[archers]-$archers)."' WHERE `id`='".$sosed[id]."'");
					if ($sosed[spy] > '0') mysql_query("UPDATE `users` SET `spy`='".intval($sosed[spy]-1)."' WHERE `id`='".$sosed[id]."'");


					} else {

					$text='Вашим людям не удалось совершить вербовку над государством '.$sosed[country].'<br /> <b>Вербовка -1</b>';
									send_mess($user['login'],$text,"Система",'');
					$text='Людям государства '.$user[country].' не удалось совершить вербовку<br><b>Шпионаж +1</b>';
									send_mess($sosed['login'],$text,"Система",'');


							echo 'Вам не удалось завербовать противника. <br />Вербовка <b>-1%</b></div>';
							if ($user[verb] > '10') mysql_query("UPDATE `users` SET `verb`='".intval($user[verb]-1)."' WHERE `id`='".$user[id]."'");
							if ($sosed[spy] < '50') mysql_query("UPDATE `users` SET `spy`='".intval($sosed[spy]+1)."' WHERE `id`='".$sosed[id]."'");
							};

					} else echo '<br />Ваши вербовщики еще не готовы. Подождите '.date("i минут s секунд",intval(3600-$time_last-10800)).'</div>';
				} else echo $error;
				} else {

			echo '</br>Войско:<br />';
			echo '<b>Точность шпионажа '.$user[spy].'%</b></div><div class="money">';
			$solders_min = $sosed[solders]*$user[spy]/100;
			$solders = rand($solders_min,$sosed[solders]);

			$horses_min = $sosed[horses]*$user[spy]/100;
			$horses = rand($horses_min,$sosed[horses]);

			$archers_min = $sosed[archers]*$user[spy]/100;
			$archers = rand($archers_min,$sosed[archers]);

			echo 'Войнов<br>';
			echo 'Свободных солдат: '.$img_s.' '.$solders.' пехоты, '.$img_h.' '.$horses.' кавалерии, '.$img_a.' '.$archers.' стрелков<br />';
			echo 'Оружие: ';
			if ($sosed[weapon]=='1') $weapon = 'легкое'; else $weapon = 'тяжелое';
			echo $weapon;
			echo '<br />Скорость: '.$img_s.' пехота: <b>'.$sosed[solders_s].'</b>, '.$img_h.' кавалерия: <b>'.$sosed[horses_s].'</b>, '.$img_a.' стрелки: <b>'.$sosed[archers_s].'</b><br />';
			echo 'Сила: '.$img_s.' пехота: <b>'.$sosed[solders_a].'</b>, '.$img_h.' кавалерия: <b>'.$sosed[horses_a].'</b>, '.$img_a.' стрелки: <b>'.$sosed[archers_a].'</b><br />';
			echo '';
			echo 'Броня: ';
			if ($sosed[armor]=='1') $armor = 'легкая'; else $armor = 'тяжелая';
			echo $armor.'<br />';
			echo '</div><a class="razd" href="'.$self.'&amp;verb=1">Завербовать</a>';
						 }
			echo '<a class="razd" href="about.php?uid='.$id_s.'">Вернуться</a>';
			}





		} else header("Location: game.php");



      echo '';
echo '<div class="money">Меню</div>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>

';


?>